classification
Title: Add bug tracker tasks to PEP 101
Type: enhancement Stage:
Components: Documentation Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: ajaksu2, georg.brandl, loewis, terry.reedy
Priority: low Keywords: patch

Created on 2009-05-09 19:24 by ajaksu2, last changed 2009-05-17 22:07 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
bugtracker.diff ajaksu2, 2009-05-09 19:24
Messages (5)
msg87508 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-05-09 19:24
This patch would add the following bug tracker tasks to PEP 101 (Doing
Python Releases 101):
 - Add version X.Y+1 as when version X.Y enters alpha.

 - Change non-doc RFEs to version X.Y+1 when version X.Y enters beta.

 - Update 'behavior' issues from versions that your release make
   unsupported to the next supported version.

 - Review open issues, as this might find lurking showstopper bugs,
   besides reminding people to fix the easy ones they forgot about.

These are the changes mentioned in
http://psf.upfronthosting.co.za/roundup/meta/issue283

However, I'm tempted to update PEP 3 (Guidelines for Handling Bug
Reports) instead, adding these (and the blocker <-> deferred flips) as
tracker janitors' tasks.

What do you think?
msg87833 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-05-15 20:28
Would these tasks, whereever documented, be entirely manual or partly
automated?  I just fixed new feature request #5975 which originally
selected 2.5,2.6,3.0.  It would be nice if the tracker automatically
rejected such invalid selections and selected 2.7/3.2 instead.
msg87834 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-05-15 20:30
I of course agree that these tasks should be listed somewhere, but have
no opinion on which PEP, if not both.
msg87952 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-05-17 02:55
We sure could have helpers for updating RFEs and bugs to correct
versions. They could be scripts for bulk updating and/or per-issue UI
shortcuts for Developers. I'll open a meta-tracker RFE for this.

Correcting user reports and requests is also possible, but I'd like to
work on help tooltips and maybe a bug report/RFE wizard first: I'm
afraid that on the absence of good explanations/tips, such corrections
might annoy and discourage reporters. Anyway, I"ll open a ticket for
this too :)

Thanks for the feedback!
msg88008 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-05-17 22:07
Applied in r72756.
History
Date User Action Args
2009-05-17 22:07:23georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg88008
2009-05-17 02:55:19ajaksu2setmessages: + msg87952
2009-05-15 20:30:18terry.reedysetmessages: + msg87834
2009-05-15 20:28:17terry.reedysetnosy: + terry.reedy
messages: + msg87833
2009-05-09 19:24:23ajaksu2create